import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const BASE: AppRouteRecordRaw = {
  path: '/base',
  name: 'base',
  component: DEFAULT_LAYOUT,
  meta: {
    requiresAuth: true,
  },
  children: [
    {
      path: '/user-manage',
      name: 'UserManage',
      component: () => import('@/views/user/UserManage.vue'),
      meta: {
        title: '用户管理',
        requiresAuth: true,
      },
    },
    {
      path: '/student-manage',
      name: 'StudentManage',
      component: () => import('@/views/student/StudentManage.vue'),
      meta: {
        title: '学生管理',
        requiresAuth: true,
      },
    },
    {
      path: '/scan-manage',
      name: 'ScanManage',
      component: () => import('@/views/scan/ScanManage.vue'),
      meta: {
        title: '扫描进度',
        requiresAuth: true,
      },
    },
  ],
};

export default BASE;
